Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: Maneesh Yadav <[email-masked]>
Date: Fri, 20 Nov 2015 14:45:23 -0800

Ok I just did it again had to mash Ctrl-g a little (still not sure if
it is Ctrl-g-g or Ctrl-g Ctrl-g that triggers it) but a similar
backtrace.  Just confirming I could replicate it 'on command' (sort
of).

emacs -Q

Auto-save? (y or n) n

Abort (and dump core)? (y or n) y

Fatal error 6: Abort trap

Backtrace:

0   emacs                               0x000000010009ebe9 emacs_backtrace + 87

1   emacs                               0x0000000100084ffa
terminate_due_to_signal + 97

2   emacs                               0x000000010009d77b init_baud_rate + 0

3   emacs                               0x000000010008e5d3
handle_interrupt + 590

4   emacs                               0x000000010009e808
deliver_process_signal + 53

5   libsystem_platform.dylib            0x00007fff8c44df1a _sigtramp + 26

6   ???                                 0x0000000000000000 0x0 + 0

7   libglib-2.0.0.dylib                 0x0000000100888ba1 g_mutex_lock + 26

8   libglib-2.0.0.dylib                 0x000000010084c284
g_main_context_acquire + 42

9   emacs                               0x00000001001447cc xg_select + 135

10  emacs                               0x000000010012dbe2
wait_reading_process_output + 2074

11  emacs                               0x00000001000075b5 sit_for + 260

12  emacs                               0x000000010008be56 read_char + 5024

13  emacs                               0x000000010008918c
read_key_sequence + 1526

14  emacs                               0x0000000100088973 command_loop_1 + 3983

15  emacs                               0x00000001000f251e
internal_condition_case + 251

16  emacs                               0x00000001000966c9 command_loop_2 + 53

17  emacs                               0x00000001000f1f48 internal_catch + 243

18  emacs                               0x00000001000871ea
recursive_edit_1 + 206

19  emacs                               0x000000010008738d Frecursive_edit + 236

20  emacs                               0x000000010008648e main + 4658

21  libdyld.dylib                       0x00007fff8707a5c9 start + 1

On Fri, Nov 20, 2015 at 2:07 PM, Maneesh Yadav <[email-masked]> wrote:
> Indeed, I run into it frequently enough it causes pain.
>
> When I replicated the bug for this report, I did it right after emacs
> started (and I was in scratch buffer) FWIW; so idling (in this case)
> wasn't necessary.  I'll try one of the other mac emacs versions.
>
>
> I've tried it a few times just now and haven't been able to make it
> occur again (though it happens on its own often enough that I know
> I'll see it again soon).
>
> On Fri, Nov 20, 2015 at 1:55 PM, John Wiegley <[email-masked]> wrote:
>>>>>>> Maneesh Yadav <[email-masked]> writes:
>>
>>> Thanks so much for your fast response, I hope this is real bug. I held off
>>> on reporting it for awhile since I wanted to be sure it wasn't something
>>> idiotic I am doing.
>>
>> I'm pretty sure it's a real bug, since I've encountered it before too. I was
>> forced to "kill -9 PID" to restart Emacs. It used to happen to me at least
>> once a day, and always after having left Emacs idle for a while.
>>
>> I wonder, does it also happen if you try the 'Mac port' version of Carbon
>> Emacs, by Yamamoto Matsuhiro? See:
>>
>>     ftp://ftp.math.s.chiba-u.ac.jp/emacs/
>>
>> I think that may have been how I resolved it here, and I haven't switched back
>> to Cocoa yet.
>>
>> John